2013-12-21

        * 0.18.0 release

2013-12-10 Mike Blumenkrantz

        * fixed filemanager race condition causing create-queued icons to not be deleted

2013-12-09 Mike Blumenkrantz

        * removed physics module

2013-12-04 Mike Blumenkrantz

        * Fixed cases where gadgets would sometimes reorder randomly on shelves

2013-12-04 Mike Blumenkrantz

        * Fixed NoDisplay entries in Everything launcher
        * Removed capabilities to alter gadgets in EFM toolbars

2013-12-02 Mike Blumenkrantz

        * Shrink filemanager icon event area to allow easier selections
        * Remember view mode for desktop icons
        * Fixed evry crash when switching views

2013-11-30 Mike Blumenkrantz

        * Correctly start pulseaudio from mixer

2013-11-29 Mike Blumenkrantz

        * Fix winlist case where activation would have no effect

2013-11-26 Mike Blumenkrantz

        * Select previously-renaming filemanager icon when rename ends
        * Improve reliability of new file/directory creation
        * Clicking Settings->All in menu now opens settings panel
        * Open Terminal Here now available when clicking regular files

2013-11-25 Mike Blumenkrantz

        * Reapply default filemanager view after changing settings

2013-11-25 Tom Hacohen

	* Entry: Fixed issues with entry not scrolling to cursor.

2013-11-22 Carsten Haitzler

        * Add more filetypes to thumbnailer

2013-11-21 Mike Blumenkrantz

        * Fix flickering in advanced wallpaper settings

2013-11-21 Sebastian Dransfeld

        * Improve focus handling with external desktop filemanagers

2013-11-20 Mike Blumenkrantz

        * Add back/forward button support for filemanager when toolbar is present
        * Fix focus/stacking of windows on restart
        * More accurately set current desk in Move to... submenu
        * Disable resizing of buttons in window remember dialog

2013-11-20 Carsten Haitzler

        * Add $XDG_DESKTOP_DIR support for file link paths

2013-11-18 Carsten Haitzler

        * Increase text file preview size
        * Improve text file preview layout

2013-11-05 Tom Hacohen

	* wsod: Fixed gdb hangs when generating backtraces.

2013-10-31 Carsten Haitzler

        * e now uses and looks for elementary themes
        * elementary + emotion now hard dependencies

2013-10-26 Mike Blumenkrantz

        * Fix unfocusing of disabled widgets

2013-10-25 Iván Briano

        * Improve battery gadget text sizing

2013-10-15 Mike Blumenkrantz

        * Fix crash when activating e's restart from start gadget triggered menu

2013-10-07 Mike Blumenkrantz

        * removed "raise on focus" config option
        * clock gadgets now default to digital mode when added

2013-10-06 Yossi Kantor

        * Greatly improve filemanager icon selection

2013-10-03 Mike Blumenkrantz

        * Fix filemanager spring window closing when dragging from desktop
        * Catch XWindow closes during DND operations on those windows

2013-09-26 Mike Blumenkrantz

        * Further improve initial window placement coordinates
        * ignore netwm activate during startup

2013-09-19 Mike Blumenkrantz

        * Fix bug where new files could not be created repeatedly
        * Clicking in the filemanager when renaming cancels the rename

2013-08-30 Mike Blumenkrantz

        * Navigate menu item now opens $HOME

2013-07-26 Mike Blumenkrantz

        * fixed bug where setting min size on a gadget would not be passed to desktop gadgets

2013-07-26 Mike Blumenkrantz

        * fixed bug where double clicking filemanager windows would not correctly autosize

2013-06-20 Mike Blumenkrantz

        * udisks2 support

2013-06-19 Mike Blumenkrantz

        * added check changed to shelf config dialog

2013-06-18 Mike Blumenkrantz

        * fixed crash when multiple windows shared a remember

2013-06-17 Mike Blumenkrantz

        * fixed bug where e widgets would not unset focus
        * fixed bug with filemanager setting path with too many spaces when opened from menu

2013-06-14 Mike Blumenkrantz

        * add teamwork module

2013-06-13 Mike Blumenkrantz

        * filemanager dnd operations now show all files when dragging

2013-05-29 Mike Blumenkrantz

        * fix remember size/position apply

2013-05-29 Mike Blumenkrantz

        * added e_border_inset utility functions
        * new winlist config option for moving selected window to current desk

2013-05-29 Mike Blumenkrantz

        * added dnd support for text/x-moz-url
        * fixed e_exec to open .desktop url links

2013-05-24 Christopher Michael

	* added support for hotplugging monitors in randr code
        * added support for setting Primary Output used by randr protocol

2013-05-18 Mike Blumenkrantz

        * add e_exec_desktop_instances_find
        * add e_exec_phony

2013-05-14 Mike Blumenkrantz

        * e_desk_last_focused now returns the border it wants to focus

2013-05-08 Mike Blumenkrantz

        * e_fm2_optimal_size_calc returns bool to indicate whether the returned size can be used
        * filemanager windows no longer resize to 0x0 when double clicked with no icons present
        * border menu now has top-level item to set borderless state

2013-04-26 Mike Blumenkrantz

        * fixed theme bug which prevented windows from unshading correctly when animations were disabled

2013-04-25 Mike Blumenkrantz

        * added deskmirror
        * add check for vmware window in another spot to disable key remapping

2013-04-19 Mike Blumenkrantz

        * deskpreview renamed to bgpreview
        * e_widget_bgpreview_desk_add now takes an evas instead of an evas object

2013-04-18 Mike Blumenkrantz

        * startup splash screen moved to compositor canvas
        * added new modes for notification display on multiple monitors

2013-04-16 Chris Michael

	* added support for the Enlightenment compositor to render Wayland Clients
	* added support for Wayland Clients to implement move, resize, maximize, and popup menu functionality.

2013-04-15 Mike Blumenkrantz

        * window borders now drawn on compositor canvas
        * desk flip animations moved to edje
        * added e_comp_win_effect* api

2013-04-05 Jérémy Zurcher

        * added support for systemd halt and poweroff

2013-03-28 Cedric Bail

	* added support for systemd user session.
	* added support for systemd hibernate and suspend.

2013-03-11 Mike Blumenkrantz

        * menus are now drawn directly on the compositor canvas

2013-03-11 Dieter Roelants

	* portability: Don't rely on bash or zsh behavior when starting enlightenment_init and tempget.

2013-03-01 Jérémy Zurcher

        * mixer shows more channels when using alsa subsystem and correctly disable controls
        * mixer api extracted in e_mod_mixer and reduced

2013-03-01 Sebastian Dransfeld

        * Fix sys hibernate by checking raw condition first

2013-02-22 Mike Blumenkrantz

        * compositor now allows user changing/remembering of object opacity
        * added E_LIST_REVERSE_FREE macro
        * added e_object_ref_debug_set
        * E_FN_DEL macro renamed to E_FREE_FUNC with param order swapped for consistency
        * added e_gadcon_repopulate
        * EFM toolbar now has its own gadcon location
        * DND canvas merged to compositor
        * shelf gadcon can no longer resize smaller than 16x16, ensuring dnd success

2013-02-20 Mike Blumenkrantz

        * toolbar gadgets no longer crash when trying to display a popup

2013-02-19 Mike Blumenkrantz

        * e_util_size_debug_set now displays delete events

2013-02-18 Mike Blumenkrantz

        * fixed disable of input methods in input method config dialog
        * fixed pointer warp when pointer was inside warp window but not directly over it
        * desklock now uses compositor canvas
        * e_shelf_desk_visible_get now takes const params
        * e_util_size_debug_set now also prints for object show/hide events
        * e_gadcon_unpopulate now correctly freezes the container while deleting gadgets
        * e_popup is now a wrapper for drawing objects onto the compositor canvas
        * added functions for noting objects which are part of a popup
        * added e_layout functions for returning objects above or below a layout child
        * compositor nocomp mode now dynamically enables/disables based on the state and stacking of fullscreen windows and comp objects

2013-02-13 Deon Thomas

	* Fixed Menu->Applications now only lists valid .desktop files, if the exec is missing it will not be added to the menu list.

2013-02-11 Mike Blumenkrantz

        * fixed bug where pointer warping to new clients would start at a random location
        * fix crash when locking screen from Start gadget and then activating gadget again
        * fixed bug where e_layout would ignore frozen state and crash

2013-02-08 Cedric Bail

	* remove call to efreet_menu_parse from a thread.

2013-02-07 Cedric Bail

	* enable image preloading for all e_widget_preview using edje

2013-02-07 Mike Blumenkrantz

        * keyboard mapping change now also disables for window class "vmware"
        * added option for remembering filemanager windows globally
        * added edit functionality to window remembers dialog
        * added function for getting children of e_layout
        * container now uses compositor window
        * bindings now use new E_Binding_Event structs for mouse events
        * added utility function for printing all objects above a given object

2013-02-07 Carsten Haitzler

        * fix clock timerfd usage to actually detect a date change.
        * improve clock to also listen to /etc/timezone changes too.

2013-02-06 Mike Blumenkrantz

        * added api to automatically disable widgets when checkboxes are checked or unchecked
        * added e_widget_on_disable_hook_set
        * added option for preventing all keyboard layout changes
        * moved "allow windows above fullscreen windows" option to geometry settings dialog
        * fix filemanager efreet cache listeners and updates

2013-02-05 Mike Blumenkrantz

        * improve load time of apps dialogs
        * fix bug where edge flips would stop functioning after dragging to an invalid edge containing a shelf
        * edge bindings can now be set to "drag only"
        * merged all binding config dialogs into conf_bindings module
        * new option for disabling all pointer warps
        * move pointer warp speed option to be general option
        * new tab in focus settings for pointer warping
        * add e_border_pointer_warp_to_center_now()
        * unify all pointer warp animators

2013-02-04 Mike Blumenkrantz

        * optimize use of edje_file_collection_list
        * add support for edje files in filepreview widget
        * fix possible crash in xkb rule parsing
        * fix list update on deletion of personal app launchers
        * fix button toggling in personal app launchers dialog

2013-02-01 Mike Blumenkrantz

        * split out binding configs into separate config domain
        * added functions for freeing binding config structs
        * E_Config_DD structs are now tracked and retrievable through e_config_descriptor_find
        * fixed leak in profile list dbus method
        * binding dialogs are now able to reset bindings to the system profile file bindings
        * fixed behavior of Up/Down keys in filemanager when typebuf was visible
        * "No listable items" in Navigate menu is now clickable

2013-01-31 Mike Blumenkrantz

        * fixed window autoraise triggering from pointer slide
        * fixed opening of links in filemanager in some cases
        * filemanager now ignores changes to .part files
        * fixed a number of bugs where keyboard layouts could not be applied or selected

2013-01-29 Brian Miculcy

        * IBar menu didn't allow to configure different icon sources, show contents menu even on empty IBar.

2013-01-29 Carsten Haitzler

        * fix map then unmap race condition for borders

2013-01-29 Mike Blumenkrantz

        * fixed bug where dragging files into sidebar would move them instead of creating links

2013-01-23 Chris Michael

        * add support for AltGr in illume2's E_Kbd_Buf_Key, fix related leak

2013-01-23 Mike Blumenkrantz

        * module error dialog is no longer remembered across restarts
        * fixed small leak in efm when performing dnd onto mounted drive icon
        * fixed small leak in e_import_config_dialog_show during failure case
        * fixed small leak in e_import_dialog_show during failure case
        * fixed small leak in illume2 policy config
        * fixed path setting in import dialog
        * fixed possible NULL deref in desktop editor
        * fixed possible NULL deref in e_sys when debugging

2013-01-22 Mike Blumenkrantz

        * No longer build illume edj files
        * fixed gadget dragging on desktop near screen edges
        * fixed bug where "don't composite fullscreen windows" option would cause some windows to stop appearing

2013-01-15 Mike Blumenkrantz

        * Removed old comp hook and msgbus API, replacing with new e_comp namespaced API and events

2013-01-17 Chidambar Zinnoury (ilLogict)
	* Mixer and battery modules: reuse notifications.

2013-01-16 Brian Miculcy
        * Shelf option 'overlapping' made clearer and disabled when window automatic movement on shelf hide isn't set.

2013-01-15 Mike Blumenkrantz

        * prevent windows dragged from one screen to another from being larger than the destination screen
        * add new APIs for getting module .desktop files
        * track module directories
        * improve module config dialog load speed

2013-01-14 Brian Miculcy

        * Backlight, screenlock and screensaver don't check for fullscreen windows - we have presentation mode for that.

2013-01-14 Mike Blumenkrantz

        * compositor now applies focus/urgency state to windows on first show

2013-01-12 Mike Blumenkrantz

        * split comp window match settings into separate dialog

2013-01-11 Mike Blumenkrantz

        * added option to disable comp effects on screen
        * fixed bug where backlight settings would try to update dummy backlight devices
        * added focus-out color class and functionality to default theme
        * added options and functionality for "fast" composite effects
        * added fallback timer for system actions

2013-01-10 Carsten Haitzler

        * fixed bug where starting with a nonexistent config could cause a crash instead of simply restarting
        * fixed window border hide bug where after iconification hides leave ghosts

2013-01-10 Mike Blumenkrantz

        * E_LIST_HANDLER_APPEND macro now asserts the event handler to make debugging easier
        * fixed bug where internal dialogs would not redraw after unfullscreening
        * config submenu now sets "config" category
        * e_menu_category_callback create callback parameter order has been changed
        * composite settings dialog is now accessible from Settings menu
        * modules no longer require shutdown or save functions
        * comp settings now uses the "e_comp" config domain
        * added options to disable comp effects on types of windows

2013-01-10 Deon Thomas

        * Fixed bug with desktop config profile where conf module version variable was misnamed

2013-01-09 Lucas De Marchi

        * Merged comp module into core

2013-01-09 Mike Blumenkrantz

        * geometry_auto_move option now also corrects applications which fail in their attempts to center windows
        * fixed bug where window border insets were not applied to initial positioning geometry, causing them to be placed incorrectly

2013-01-08 David H. Bronke

        * Added new config option for disabling pointer warping when performing directional focus changes using winlist

2013-01-08 Thanatermesis

        * "System Default" language in wizard now displays which language it is and no longer removes language from list

2013-01-08 Mike Blumenkrantz

        * Fixed bug where keyboard resizing of windows would not be possible if timeout was set to zero
        * Fixed crash when clicking apply in wallpaper settings dialog and no wallpaper is selected
        * Fixed bug where disabled slider widgets could be changed with mouse wheel
        * Fixed bug where fileman config slider widgets were not properly disabled
        * Tasks gadgets now apply the selected style
        * Desktop->Shelves menu now shows shelf names
        * Added elm win trap callback for base size setting, calling this causes ICCCM hints to be applied

2013-01-07 Tom "TAsn" Hacohen
	* e_entry + e_scrollable: Fixed issues with smart members.

2013-01-07 Brian Miculcy
        * Added option for doing desklock, blanking or dimming even when showing fullscreen windows.
        * No backlight dimming when in presentation mode.
        * Backlight fade time only applies to dimming - undimming is fixed 0.5 .

2013-01-07 Mike Blumenkrantz

        * Added option for disabling icons in menus
        * Restore default keybindings no longer restores two bindings for ctrl+alt+f

2013-01-07 Thomas Petazzoni

	* Fix build with uClibc.

2013-01-04 Lucas De Marchi

        * Fixed crash when changing desktop configuration while clock popup was present

2013-01-04 Lucas Jóia

        * Added bluez4 module: control bluetoothd daemon

2013-01-03 Lucas Jóia

        * Added appmenu module: show application menu in shelf

2013-01-03 José Roberto de Souza

        * Modules ported to eldbus: battery, connman, mixer, notification,
          illume-indicator
        * Fileman and Wizard also ported to eldbus
        * HAL backend for EFM removed
        * Systray: added DBus notification
        * Added music-control module: control any mpris2-compatible music
          player

2013-01-03  Mike Blumenkrantz

        * Added e_win_elm_available()

2013-01-03 Cedric Bail

	* Fix restart of E17 after manually monitoring it.

2012-12-31 Mike Blumenkrantz

        * Added function to hide all active menus
        * Always hide menus on desklock
        * e_win now traps elm_win_activate to ensure that internal elm
          windows don't fail to raise as expected if user has configured
          E to ignore activate hints
        * Various #defines in e_int_menus.h are now enums
        * Added enum for deskflip animation mode

2012-12-29 Mike Blumenkrantz

        * Fix incorrect config value clamping for window autoraise delay
        * Fix border(less) style of internal elm tooltip windows

2012-12-28 Tomas Cech

        * Fix construction of variant list for setxkbmap

2012-12-27 Mike Blumenkrantz

        * Added action to reset filemanager

2012-12-28  Carsten Haitzler

        * Mixer settings dialog is now resizable
        * Increased maximum menu size, improved menu autoscrolling


2012-12-28  Hannes Janetzek

        * Fixed error in Evry when trying to call edje functions on non-edje object

2012-12-27 Mike Blumenkrantz

        * Filemanager now uses global setting option for showing desktop
          icons

2012-12-26 Chidambar Zinnoury (ilLogict)

	* Notification settings: add check changed.
	* Fileman settings: fix values reading, check changed, apply,
	  and title (“Fileman”→“File Manager”).
	* Pager settings: fix check changed and strings (“px”→“pixels”).
	* Language settings: add check changed and cleanup code.

2012-12-25 Chidambar Zinnoury (ilLogict)

	* Clock settings: date formats are now internationalizable.
	* Desktop environment settings: add check changed.
	* Gadcon settings: add icons.
	* Startup theme: add check changed.
	* Desk settings: improve UI.
	* Clientlist settings: add check changed.
	* Engine settings: force check changed upon confirmation dialog
	  closure.

2012-12-24  Mike Blumenkrantz

        * Fixed crash when changing ibar source

2012-12-24  Boris Faure

        * Fixed SIGFPE in tiling module and functionality of toggle_rows_count

2012-12-21

        Initial release
